Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest.TestScribeClient

    java.lang.Object
      rice.p2p.scribe.testing.ScribeRegrTest.TestScribeClient

All Implemented Interfaces:
  ScribeClient

Enclosing class:
  ScribeRegrTest

    protected class ScribeRegrTest.TestScribeClient

extends java.lang.Object
implements ScribeClient

DESCRIBE THE CLASS

Version:
  $Id: ScribeRegrTest.java 4221 2008-05-19 16:41:19Z jeffh $
Author:
  amislove

Field Summary
`protected boolean` | `acceptAnycast` Whether or not this client should accept anycasts
`protected java.util.Vector` | `anycastMessages` The publish messages received so far
`protected int` | `i` DESCRIBE THE FIELD
`protected java.util.Vector` | `publishMessages` The publish messages received so far
`protected Scribe` | `scribe` DESCRIBE THE FIELD
`protected boolean` | `subscribeFailed` Whether this client has had a subscribe fail
`protected java.util.List<Topic>` | `topics` The topic this client is listening for

Constructor Summary
`ScribeRegrTest.TestScribeClient(Scribe scribe, java.util.List<Topic> topics, int i)`
`ScribeRegrTest.TestScribeClient(Scribe scribe, Topic topic, int i)` Constructor for TestScribeClient.

Method Summary
`void` | `acceptAnycast(boolean value)`
`boolean` | `anycast(Topic topic, ScribeContent content)` DESCRIBE THE METHOD
`void` | `childAdded(Topic topic, NodeHandle child)` DESCRIBE THE METHOD
`void` | `childRemoved(Topic topic, NodeHandle child)` DESCRIBE THE METHOD
`void` | `deliver(Topic topic, ScribeContent content)` DESCRIBE THE METHOD
`java.util.List<ScribeContent>` | `getAnycastMessages()`
`java.util.List<ScribeContent>` | `getPublishMessages()`
`boolean` | `getSubscribeFailed()`
`void` | `subscribeFailed(Topic topic)` Informs the client that a subscribe on the given topic failed - the client should retry the subscribe or take appropriate action.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scribe

    protected Scribe scribe

  DESCRIBE THE FIELD

### i

    protected int i

  DESCRIBE THE FIELD

### publishMessages

    protected java.util.Vector publishMessages

  The publish messages received so far

### anycastMessages

    protected java.util.Vector anycastMessages

  The publish messages received so far

### topics

    protected java.util.List<Topic> topics

  The topic this client is listening for

### acceptAnycast

    protected boolean acceptAnycast

  Whether or not this client should accept anycasts

### subscribeFailed

    protected boolean subscribeFailed

  Whether this client has had a subscribe fail

Constructor Detail

### ScribeRegrTest.TestScribeClient

    public ScribeRegrTest.TestScribeClient(Scribe scribe,
                                           Topic topic,
                                           int i)

  Constructor for TestScribeClient.

  Parameters:
    `scribe` - DESCRIBE THE PARAMETER
    `i` - DESCRIBE THE PARAMETER

### ScribeRegrTest.TestScribeClient

    public ScribeRegrTest.TestScribeClient(Scribe scribe,
                                           java.util.List<Topic> topics,
                                           int i)

Method Detail

### getPublishMessages

    public java.util.List<ScribeContent> getPublishMessages()

### getAnycastMessages

    public java.util.List<ScribeContent> getAnycastMessages()

### acceptAnycast

    public void acceptAnycast(boolean value)

### anycast

    public boolean anycast(Topic topic,
                           ScribeContent content)

  DESCRIBE THE METHOD

  Specified by:
    `anycast` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `content` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### deliver

    public void deliver(Topic topic,
                        ScribeContent content)

  DESCRIBE THE METHOD

  Specified by:
    `deliver` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `content` - DESCRIBE THE PARAMETER

### childAdded

    public void childAdded(Topic topic,
                           NodeHandle child)

  DESCRIBE THE METHOD

  Specified by:
    `childAdded` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `child` - DESCRIBE THE PARAMETER

### childRemoved

    public void childRemoved(Topic topic,
                             NodeHandle child)

  DESCRIBE THE METHOD

  Specified by:
    `childRemoved` in interface `ScribeClient`
  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `child` - DESCRIBE THE PARAMETER

### subscribeFailed

    public void subscribeFailed(Topic topic)

  Description copied from interface: `ScribeClient`
  Informs the client that a subscribe on the given topic failed - the client should retry the subscribe or take appropriate action.

  Specified by:
    `subscribeFailed` in interface `ScribeClient`
  Parameters:
    `topic` - The topic which the subscribe failed on

### getSubscribeFailed

    public boolean getSubscribeFailed()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.